#ifndef DATETIMESELECTIONPANEL_H
#define DATETIMESELECTIONPANEL_H

#include <QWidget>

QT_BEGIN_NAMESPACE
namespace Ui {
class dateTimeSelectionPanel;
}
QT_END_NAMESPACE

class CustomCalendarWidget;
class DateTimeSelectionPanel : public QWidget
{
    Q_OBJECT

public:
    DateTimeSelectionPanel(QWidget *parent = nullptr);
    ~DateTimeSelectionPanel();

    void show_();

public slots:
    void onBtnClicked_YMControl();
    void onBtnClicked_currentTime();
    void onBtnClicked_confirm();
    void onBtnClicked_cancle();
    void onCalendarPageChanged(int, int);

signals:
    void selectResults(QDateTime);

private:
    Ui::dateTimeSelectionPanel*  ui;
    CustomCalendarWidget*        m_pCalendar;
};

#endif
